Create AI review agent
POST
/api/v1/workspaces/{workspace_id}/ai_reviewers
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_reviewers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","review_instructions":"Check for spelling errors, broken links, and brand guideline compliance."}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_reviewers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "review_instructions": "Check for spelling errors, broken links, and brand guideline compliance." }'Creates a new AI review agent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
review_instructions
required
Instructions the AI review agent should follow when reviewing emails.
string
Example
Check for spelling errors, broken links, and brand guideline compliance.Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
review_instructions
required
string
Example
{ "id": 12345, "name": "My AI Agent", "review_instructions": "My AI Agent is a helpful assistant that can help with tasks."}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}